-- dressing.lua: Enhances UI elements like input boxes and select menus for consistency.

return {
  'stevearc/dressing.nvim',
  dependencies = { 'nvim-telescope/telescope.nvim' }, -- load order guarantee
  lazy = true,                                        -- optional
  config = function()
    local themes = require('telescope.themes')        -- now safe
    require('dressing').setup {
      select = { telescope = themes.get_dropdown() },
    }
  end,
}
